# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/bionic64"

  config.vm.provider "virtualbox" do |v|
    v.memory = 2048
    v.cpus = 2
  end

  config.vm.network "private_network", ip: "192.168.33.10"

  config.vm.network "forwarded_port", guest: 80, host: 8080
  config.vm.network "forwarded_port", guest: 443, host: 8443

  config.vm.synced_folder ".", "/home/vagrant/intramwet"

  config.vm.provision "docker"

  config.vm.provision "shell", inline: <<-SHELL
    apt-get update
    apt-get install curl
    curl -L https://github.com/docker/compose/releases/download/1.22.0/docker-compose-$(uname -s)-$(uname -m) -o /usr/local/bin/docker-compose
    chmod +x /usr/local/bin/docker-compose
  SHELL

  config.vm.provision "shell", run: "always", inline: <<-SHELL
    docker-compose -f /home/vagrant/intramwet/docker-compose.yml up -d
  SHELL
end
